package com.sw.mes.inspect.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.inspect.entity.YbOemData;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * Created by author on 2023-07-24
 */
public interface YbOemDataService extends BaseService<YbOemData> {


    List<YbOemData> getList();

    Result readOemImport(MultipartFile file) throws Exception;

    void updateStatus(Long id, int status);
}